// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import store from './store'
//  交互
import axios from 'axios'
import VueResource from 'vue-resource'
//  权限
import './permission'
//  Element UI
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
//  Vant UI
import Vant from 'vant'
import 'vant/lib/index.css'
//  引入公共css样式
import '../static/css/public.scss'
// 引入图标
import './assets/icon/iconfont.css'

//  Vant UI
Vue.use(Vant)
//  Element UI
Vue.use(ElementUI)
//  全局初始化 Axios
Vue.prototype.$axios = axios
//  ajax异步
Vue.use(VueResource)
//  交互兼容json对象
Vue.http.options.emulateJSON = true

//  阻止 vue 在启动时生成生产提示
Vue.config.productionTip = false
//  开启debug模式
Vue.config.debug = true
//  阻止启动生产消息
Vue.config.productionTip = false

/* eslint-disable no-new */
new Vue({
  el: '#app',
  router,
  store,
  components: { App },
  template: '<App/>'
})
