import Vue from 'vue'
import Router from 'vue-router'
import { getStore } from '@/utils/store'
Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/punch',
      name: '打卡',
      component: () => import('@/views/base/punch'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }, {
      path: '/statistics',
      name: '统计',
      component: () => import('@/views/base/statistics'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }, {
      path: '/peopleManage',
      name: '人员管理',
      component: () => import('@/views/base/peopleManage'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }, {
      path: '/departmentStatistics',
      name: '部门签到统计',
      component: () => import('@/views/base/departmentStatistics'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }, {
      path: '/chooseProject',
      name: '选择项目',
      component: () => import('@/views/base/chooseProject'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }, {
      path: '/trajectory',
      name: '工作轨迹',
      component: () => import('@/views/trajectory/trajectory'),
      meta: {
        keepAlive: false,
        isTab: false,
        isAuth: true
      }
    }
]
})
// export default new Router({
//   routes: [{
//     path: '/',
//     name: 'Index',
//     redirect: function () {
//       let type = getStore({'name':'type','type':'','debug':''})
//       if(type == 1){
//         return '/punch'
//       } else {
//         return '/peopleManage'
//       }
//     },
//     component: () => import('@/views/Index'),
//     meta: {
//       keepAlive: true,
//       isTab: false,
//       isAuth: true
//     },
//     children: [ {
//       path: '/punch',
//       name: '打卡',
//       component: () => import('@/views/base/punch'),
//       meta: {
//         keepAlive: false,
//         isTab: false,
//         isAuth: true
//       }
//     }, {
//       path: '/statistics',
//       name: '统计',
//       component: () => import('@/views/base/statistics'),
//       meta: {
//         keepAlive: false,
//         isTab: false,
//         isAuth: true
//       }
//     }, {
//       path: '/peopleManage',
//       name: '人员管理',
//       component: () => import('@/views/base/peopleManage'),
//       meta: {
//         keepAlive: false,
//         isTab: false,
//         isAuth: true
//       }
//     }, {
//       path: '/departmentStatistics',
//       name: '部门签到统计',
//       component: () => import('@/views/base/departmentStatistics'),
//       meta: {
//         keepAlive: false,
//         isTab: false,
//         isAuth: true
//       }
//     }, {
//       path: '/chooseProject',
//       name: '选择项目',
//       component: () => import('@/views/base/chooseProject'),
//       meta: {
//         keepAlive: false,
//         isTab: false,
//         isAuth: true
//       }
//     }, {
//       path: '/trajectory',
//       name: '工作轨迹',
//       component: () => import('@/views/trajectory/trajectory'),
//       meta: {
//         keepAlive: false,
//         isTab: false,
//         isAuth: true
//       }
//     }]
//   }]
// })
